# HG changeset patch
# User F. da Silva <fdasilvayy@gmail.com>
# Date 1368197625 -7200
#      Fri May 10 16:53:45 2013 +0200
# Node ID 2ccd340b8d835b5eda28d7a5dbb86996c93f6536
# Parent  cfab1e7e4ac2f0d17199ee1d49ac4647b63746d3
Mail: missing ngx_ssl_ecdh_curve() call.

diff -r cfab1e7e4ac2 -r 2ccd340b8d83 src/mail/ngx_mail_ssl_module.c
--- a/src/mail/ngx_mail_ssl_module.c	Thu May 16 15:37:13 2013 -0700
+++ b/src/mail/ngx_mail_ssl_module.c	Fri May 10 16:53:45 2013 +0200
@@ -308,6 +308,10 @@
         return NGX_CONF_ERROR;
     }
 
+    if (ngx_ssl_ecdh_curve(cf, &conf->ssl, &conf->ecdh_curve) != NGX_OK) {
+        return NGX_CONF_ERROR;
+    }
+
     ngx_conf_merge_value(conf->builtin_session_cache,
                          prev->builtin_session_cache, NGX_SSL_NONE_SCACHE);
 
